// -*- mode: objc; tab-width: 4 -*-

// <X11/Intrinsic.h> includes <X11/Object.h> which typedef's `Object'
// as some pointer.  This prohibits including <X11/Intrinsic.h> from within
// a Objective-C source which includes <objc/Object.h>.
// So we rename `Object' to something else to avoid the conflict.

#define Object XtObject
#include <X11/Intrinsic.h>
#undef Object
