#ifndef _SUTIL_H_
#define _SUTIL_H_

#include <X11/X.h>

char *strmemcpy(char *dest, char *src, int n);
int memstrcmp(unsigned char *m,  int n, unsigned char*s);
char *next_line(char *p, char *eof);
char *eat_space(char *p, char *eof);
char *next_occurrence_of(int c, char *p, char *eof);
char *end_of_word(char *p, char *eof);
char *previous_occurrence_of_nonspace(char *p, char *bof);
int parse_key(KeySym *keysym, unsigned int *mod, unsigned int *mod_mask,
			  char *key_spec);
int has_extension(char *name, char *ext);

#endif /* _SUTIL_H */
