/*
 * We have no JoHab editor. *sad*
 *
 * So, I made this file first in WanSung code, then
 * converted to JoHab using hcode
 */

#ifndef _HANGUL_H_
#define _HANGUL_H_

#include <X11/Xlib.h>

#define S_HANGUL	"[ei]"
#define S_ENGLISH	"[w]"
#define S_WANSUNG	"[Ŭ]"
#define S_JOHAB		"[s]"
#define S_2BULSIK	"[2鯢]"
#define S_3BULSIK	"[3鯢]"

#define C_WANSUNG	0		     /* Hangul Code  */
#define C_JOHAB		1

#define ST_MODE_X	0
#define ST_MODE_LEN	6
#define ST_CODE_X	6
#define ST_CODE_LEN	6
#define ST_KBD_X	12
#define ST_KBD_LEN	7

#ifndef TEXT_BUF_SIZE
#define	TEXT_BUF_SIZE	256
#endif

#define CMSB 0x80

/* src  2 byte 
   des  font index
*/
int convert_johab_to_display(unsigned char *src, XChar2b *des, int len);

#endif /* _HANGUL_H_ */
